Package commoble.morered.wire_post

# Class WireRayTraceSelectionContext

java.lang.Object
net.minecraft.world.phys.shapes.EntityCollisionContext
commoble.morered.wire_post.WireRayTraceSelectionContext

All Implemented Interfaces:
  `net.minecraft.world.phys.shapes.CollisionContext`

public class WireRayTraceSelectionContext extends net.minecraft.world.phys.shapes.EntityCollisionContext
We have nullable entities in RayTraceContext, but we still need the ignore blocks for collision checking

## Field Summary

### Fields inherited from class net.minecraft.world.phys.shapes.EntityCollisionContext

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`WireRayTraceSelectionContext(net.minecraft.core.BlockPos start, net.minecraft.core.BlockPos end)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`shouldIgnoreBlock(net.minecraft.core.BlockPos pos)`

### Methods inherited from class net.minecraft.world.phys.shapes.EntityCollisionContext

`canStandOnFluid, getEntity, isAbove, isDescending, isHoldingItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WireRayTraceSelectionContext

public WireRayTraceSelectionContext(net.minecraft.core.BlockPos start, net.minecraft.core.BlockPos end)

## Method Details

### shouldIgnoreBlock

public boolean shouldIgnoreBlock(net.minecraft.core.BlockPos pos)